summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Christophe Nguyen <cnguyenminhtan@free.fr>2010-05-11 22:55:30 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:30 +0200
commit467d5676d002ff2c5165402fcb04bbdef20be8ad (patch)
tree32fc0a18c7d65937415f4176906b52f92398da42
parent9fe9ef6c358fcd0f50780dbf029086eb276939f7 (diff)
downloadslackbuilds-467d5676d002ff2c5165402fcb04bbdef20be8ad.tar.gz
slackbuilds-467d5676d002ff2c5165402fcb04bbdef20be8ad.tar.xz
system/skim: Added to 12.1 repository
-rw-r--r--system/skim/README8
-rw-r--r--system/skim/skim.SlackBuild69
-rw-r--r--system/skim/skim.info8
-rw-r--r--system/skim/slack-desc19
4 files changed, 104 insertions, 0 deletions
diff --git a/system/skim/README b/system/skim/README
new file mode 100644
index 0000000000..b2b0cbb90e
--- /dev/null
+++ b/system/skim/README
@@ -0,0 +1,8 @@
+Skim is an input method platform based upon scim-lib under *NIX (including
+GNU/Linux and FreeBSD) systems optimized for KDE. It provides a GUI panel
+(named scim-panel-kde), a KConfig config module and SetupUIs for itself and
+scim-lib. It also has its own plugin systems which support on-demand loadable
+actions.
+
+Please refer to the skim Handbook for configuration instructions:
+ http://scim.sourceforge.net/skim/doc/user/en/
diff --git a/system/skim/skim.SlackBuild b/system/skim/skim.SlackBuild
new file mode 100644
index 0000000000..fa1588597d
--- /dev/null
+++ b/system/skim/skim.SlackBuild
@@ -0,0 +1,69 @@
+#!/bin/sh
+
+# Slackware build script for skim
+
+# Copyright 2008 Christophe Nguyen <cnguyenminhtan@free.fr>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=skim
+VERSION=1.4.5
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure
+./scons configure prefix=/usr
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+chmod -R 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/skim/skim.info b/system/skim/skim.info
new file mode 100644
index 0000000000..df25f0a269
--- /dev/null
+++ b/system/skim/skim.info
@@ -0,0 +1,8 @@
+PRGNAM="skim"
+VERSION="1.4.5"
+HOMEPAGE="http://www.scim-im.org/projects/skim/"
+DOWNLOAD="http://downloads.sourceforge.net/scim/skim-1.4.5.tar.bz2"
+MD5SUM="35edfc72ed694c9fb3d3888edc3579e6"
+MAINTAINER="Christophe Nguyen"
+EMAIL="cnguyenminhtan@free.fr"
+APPROVED="rworkman"
diff --git a/system/skim/slack-desc b/system/skim/slack-desc
new file mode 100644
index 0000000000..c0ff48509f
--- /dev/null
+++ b/system/skim/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+skim: skim (SCIM for KDE)
+skim:
+skim: skim is an input method platform based upon scim-lib and
+skim: optimized for KDE.
+skim:
+skim: Homepage: http://www.scim-im.org/projects/skim/
+skim:
+skim:
+skim:
+skim:
+skim: